Doomsday Engine - Feature #1761
Feature # 1601 (In Progress): Package management
FS2 resource packages

2014-04-18 08:03 - skyjake

Status: Closed Start date: 2014-04-18
Priority: Urgent % Done: 100%
Assignee: skyjake

Category: Redesign

Target version: 1.15

Description

There are already conventions in place for resource packaging in FS2:

® zipped folders with .pack, .save, etc. extension
¢ Info (Scriptedinfo) metadata

However, the Snowberry resource package formats also need to be understood by the file system.
For full fledged package management, though, the file system needs to know which packages are in use and which ones are not.

Also see the Resource package proposal.

Related issues:

Related to Feature #1766: Server-supplied (i.e., remote) resource files Closed 2014-04-18
Precedes Feature #1834: Import Snowberry addon formats as Doomsday 2 packages Closed 2014-04-19
History

#1 - 2014-04-18 08:04 - skyjake

- Description updated

#2 - 2014-04-18 08:05 - skyjake

- Description updated

#3 - 2014-07-17 11:11 - skyjake
- Assignee set to skyjake
- Target version setto 1.15

- % Done changed from 0 to 80

#4 - 2014-07-17 11:13 - skyjake

- Precedes Feature #1834: Import Snowberry addon formats as Doomsday 2 packages added

#5 - 2014-08-16 15:42 - skyjake
- Status changed from New to Closed

- % Done changed from 80 to 100

#6 - 2014-08-16 15:45 - skyjake

The basic operating principles of FS2 packages are now in place:

package metadata stored in container file's metadata
symlinks to loaded packages under /packs

package assets and asset symlinks

observing availability of packages and assets

DS hooks for load/unload

file indexing that takes packages into account
